2113: Get terms version file

2113: Get terms version file

Fetch a specific terms version file as a JSON string, containing the base64-encoded file.

 

Endpoint ID:

2113

Method:

GET

URL:

/permissions/terms/{termsID}/{version}/file/{fileKey}

 

termsID

A GUID string identifier for the terms

 

version

A terms version string formatted as "major.minor", i.e. "1.0" or "4.7".

Alternatively, the string "active" indicates the active version of these terms. This will result in an error if the terms have no active version defined.

 

fileKey

The "key" of the specific file to fetch for this version.
Alternatively, the string "default" indicates the default file for this version.

Request body:

None

Response body:

The JSON response contains the file details, and the file itself as a base64-encoded string.

{ "fileName": "file-print.pdf", "mimeType": "application/pdf", "file": "<base64 encoded file>" }

Status codes:

200

OK

 

400

Invalid request.

The following subcodes may be returned:

400.1

These terms have no active version

 

404

The entity or terms were not found.

The following subcodes may be returned:

404.4

Terms not found

404.7

Terms version not found